# Uses of Interface
org.eclipse.debug.ui.ILaunchConfigurationDialog

Packages that use ILaunchConfigurationDialog
Package
Description
org.eclipse.debug.ui
Provides a generic debugger user interface that clients may customize via standard workbench extension points.

## Uses of ILaunchConfigurationDialog in org.eclipse.debug.ui

Methods in org.eclipse.debug.ui that return ILaunchConfigurationDialog
Modifier and Type
Method
Description
`protected ILaunchConfigurationDialog`
AbstractLaunchConfigurationTab.`getLaunchConfigurationDialog()`
Returns the dialog this tab is contained in, or `null` if not yet set.
Methods in org.eclipse.debug.ui with parameters of type ILaunchConfigurationDialog
Modifier and Type
Method
Description
`void`
ILaunchConfigurationTabGroup.`createTabs(ILaunchConfigurationDialog dialog, String mode)`
Creates the tabs contained in this tab group for the specified launch mode.
`static ILaunchConfiguration`
DebugUITools.`getLaunchConfiguration(ILaunchConfigurationDialog dialog)`
Returns the ILaunchConfiguration corresponding to ILaunchConfigurationDialog
`void`
AbstractLaunchConfigurationTab.`setLaunchConfigurationDialog(ILaunchConfigurationDialog dialog)`
`void`
ILaunchConfigurationTab.`setLaunchConfigurationDialog(ILaunchConfigurationDialog dialog)`
Sets the launch configuration dialog that hosts this tab.